Store Model
post
/omlmod/v1/models
Store a model in the repository. A unique modelId will be assigned to the stored model, and the model's creator will be assigned from the access token used to authorize the request. This method takes the binary data for the model, model name, description, model version, model type, shared, and model namespace as inputs.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
- multipart/form-data
Root Schema : schema
Type:
Show Source
object-
dbModelName(required): string
Pattern:
^[a-zA-Z0-9_#$]{1,123}$The name of the database model object that will be stored in the model repository. -
description: string
Maximum Length:
4000Description of the model. -
modelName(required): string
Pattern:
^[a-zA-Z0-9_#$]\d{1,50}$The name that will be assigned to the model in the repository. -
modelSchemaName: string
Pattern:
^(?:[a-zA-Z0-9_$#]{1,128}|\"[^\"\\0]{1,128}\")$The name of the schema of the database model object that will be stored in the model repository. -
modelType(required): string
Allowed Values:
[ "OML", "ONNX", "ONNX_IMG" ]The type of the model being uploaded. -
namespace: string
Pattern:
[a-zA-Z0-9_]{0,50}Model namespace. - shared: boolean
-
version(required): string
Pattern:
^[1-9]?[0-9](\\.[0-9][0-9]?$)?The version of the model being uploaded.
Root Schema : schema
Type:
Show Source
object-
description: string
Maximum Length:
4000Description of the model. -
modelData(required): string
(binary)
The model file to upload
-
modelName(required): string
Pattern:
^[a-zA-Z0-9_#$]\d{1,50}$Model name. -
modelType(required): string
Allowed Values:
[ "OML", "ONNX", "ONNX_IMG" ]The type of the model being uploaded. -
namespace: string
Pattern:
[a-zA-Z0-9_]{0,50}Model namespace. - shared: boolean
-
version(required): string
Pattern:
^[1-9]?[0-9](\\.[0-9][0-9]?$)?The version of the model being uploaded.
Response
Supported Media Types
- application/json
201 Response
Successful creation of a model.
Headers
400 Response
Bad request.
401 Response
Unauthorized.
404 Response
Resource not found.
409 Response
Model already exists.
500 Response
Problem connecting to the repository, executing an update, or other unexpected error.